
%% Update MEX File (Script)

%lens distortion model used for standard/blind correction method
model = 'std'; %{'rad','fov'} %**should be consistent with "plumb_line.h"**

%compile plumb-line cost function main
fprintf('Compiling...\n');
mex -c main.cpp ../common/plumb_line.cpp -I../common/

%build (link) plumb_line_cost_function executable
fprintf('Building...\n');
eval(sprintf('mex -g main.cpp plumb_line.o -I../common/ -output %s_plumb_line_cost_function_c', model));

